
import aiinterface.CommandCenter;
import enumerate.Action;
import simulator.Simulator;
import struct.FrameData;
import struct.GameData;
import struct.CharacterData;

public class Defensive extends FSMState{

	MCTS Dmcts;
	
	public Defensive(GameData gd, boolean playerNumber) {
		super(gd, playerNumber);
			
		Action[] actionsAir = new Action[] {Action.JUMP, Action.FOR_JUMP,Action.BACK_JUMP};
		actionsToPerform = new Action[]{Action.BACK_STEP, Action.DASH,
	            Action.STAND_GUARD,
	            Action.CROUCH_GUARD};
		
		Dmcts = new MCTS();
		Dmcts.Initialize(gd, playerNumber, actionsAir, actionsToPerform, Action.STAND_D_DF_FC);
		
	}

	@Override
	void onEnter() {
		// TODO Auto-generated method stub
	}

	@Override
	Action onUpdate(CharacterData mySelf , CharacterData enemy,Simulator sim, FrameData frameData, boolean playerNumber, GameData gameData, CommandCenter commandCenter) {
		
		return Dmcts.subProcesing(sim, frameData, playerNumber, gameData, commandCenter);
		
	}

	@Override
	void onExit() {
		// TODO Auto-generated method stub
		
	}

	
	
}
