
import java.util.ArrayList;

import aiinterface.CommandCenter;
import enumerate.Action;
import simulator.Simulator;
import struct.FrameData;
import struct.GameData;
import struct.CharacterData;

public abstract class FSMState {

	ArrayList<FSMTransition> transitions;
	protected Action[] actionsToPerform;
	
	public FSMState(GameData gd, boolean playerNumber) {
		transitions = new ArrayList<>();
	}
	
	abstract void onEnter();
	abstract Action onUpdate(CharacterData mySelf , CharacterData enemy,Simulator sim, FrameData frameData, boolean playerNumber, GameData gameData, CommandCenter commandCenter);
	abstract void onExit();
	
	
	
}
